Package org.apache.sysds.runtime.io

# Class FileFormatPropertiesHDF5

java.lang.Object
org.apache.sysds.runtime.io.FileFormatProperties
org.apache.sysds.runtime.io.FileFormatPropertiesHDF5

All Implemented Interfaces:
  `Serializable`

public class FileFormatPropertiesHDF5 extends FileFormatProperties implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileFormatPropertiesHDF5()`
`FileFormatPropertiesHDF5(String datasetName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatasetName()`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

`getBlocksize, getDescription, knownBlocksize, setDescription`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileFormatPropertiesHDF5

public FileFormatPropertiesHDF5()

### FileFormatPropertiesHDF5

public FileFormatPropertiesHDF5(String datasetName)

## Method Details

### getDatasetName

public String getDatasetName()

### toString

public String toString()

Overrides:
  `toString` in class `Object`